## ros-humble-ros2-controllers 2.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(ros2_controllers LANGUAGES NONE)

find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-ros2-controllers (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.22.0-1jammy) jammy; urgency=high

  * Steering odometry library and controllers (backport #484 <https://github.com/ros-controls/ros2_controllers/issues/484>) (#624 <https://github.com/ros-controls/ros2_controllers/issues/624>)
  * Contributors: Tomislav Petković, Reza Kermani, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.21.0-1jammy) jammy; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Felix Exner (fexner)

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.17.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-ros2-controllers (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-ros2-controllers (2.17.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-ros2-controllers (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-humble-ros2-controllers (2.16.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-ros2-controllers (2.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-humble-ros2-controllers (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-humble-ros2-controllers (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-humble-ros2-controllers (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.11.0-1jammy) jammy; urgency=high

  * Tricycle controller (#345 <https://github.com/ros-controls/ros2_controllers/issues/345>)
  * Contributors: Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.6.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Apr 2022 23:00:00 -0000

ros-humble-ros2-controllers (2.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-humble-ros2-controllers (2.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-humble-ros2-controllers (2.0.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-humble-ros2-controllers (2.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-humble-ros2-controllers (1.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-humble-ros2-controllers (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-humble-ros2-controllers (1.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-humble-ros2-controllers (1.0.0-1jammy) jammy; urgency=high

  * Remove joint_state_controller, use joint_state_broadcaster instead (#230 <https://github.com/ros-controls/ros2_controllers/issues/230>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-humble-ros2-controllers (0.5.0-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-ros2-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros2-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ackermann-steering-controller, ros-humble-admittance-controller, ros-humble-bicycle-steering-controller, ros-humble-diff-drive-controller, ros-humble-effort-controllers, ros-humble-force-torque-sensor-broadcaster, ros-humble-forward-command-controller, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-position-controllers, ros-humble-steering-controllers-library, ros-humble-tricycle-controller, ros-humble-tricycle-steering-controller, ros-humble-velocity-controllers, ros-humble-ros-workspace
Description: Metapackage for ROS2 controllers related packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros2-controllers//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros2-controllers 2.37.0

=== debian/changelog ===
ros-humble-ros2-controllers (2.37.0-1bookworm) bookworm; urgency=high

  * 🚀 Add PID controller 🎉 (backport #434 <https://github.com/ros-controls/ros2_controllers/issues/434>, #975 <https://github.com/ros-controls/ros2_controllers/issues/975>, #899 <https://github.com/ros-controls/ros2_controllers/issues/899>, #1084 <https://github.com/ros-controls/ros2_controllers/issues/1084>, #951 <https://github.com/ros-controls/ros2_controllers/issues/951>) (#1162 <https://github.com/ros-controls/ros2_controllers/issues/1162>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-ros2-controllers (2.36.0-1bookworm) bookworm; urgency=high

  * Add custom rosdoc2 config for ros2_controllers metapackage (#1100 <https://github.com/ros-controls/ros2_controllers/issues/1100>) (#1142 <https://github.com/ros-controls/ros2_controllers/issues/1142>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-ros2-controllers (2.35.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-ros2-controllers (2.34.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-ros2-controllers (2.33.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-ros2-controllers (2.32.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-ros2-controllers (2.31.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-ros2-controllers (2.30.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Dec 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.28.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Nov 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.27.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.26.0-1bookworm) bookworm; urgency=high

  * add a broadcaster for range sensor (backport #725 <https://github.com/ros-controls/ros2_controllers/issues/725>) (#766 <https://github.com/ros-controls/ros2_controllers/issues/766>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.25.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Sep 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.24.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.23.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.22.0-1bookworm) bookworm; urgency=high

  * Steering odometry library and controllers (backport #484 <https://github.com/ros-controls/ros2_controllers/issues/484>) (#624 <https://github.com/ros-controls/ros2_controllers/issues/624>)
  * Contributors: Tomislav Petković, Reza Kermani, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.21.0-1bookworm) bookworm; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Felix Exner (fexner)

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.20.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.19.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.18.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.17.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.17.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Mar 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.17.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 19 Feb 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.17.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 12 Feb 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.16.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Jan 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.16.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 18 Jan 2023 16:00:00 -0000

ros-humble-ros2-controllers (2.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Dec 2022 16:00:00 -0000

ros-humble-ros2-controllers (2.14.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 17 Nov 2022 16:00:00 -0000

ros-humble-ros2-controllers (2.13.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 16:00:00 -0000



=== debian/control ===
Source: ros-humble-ros2-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: https://control.ros.org
Standards-Version: 3.9.2

Package: ros-humble-ros2-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ackermann-steering-controller, ros-humble-admittance-controller, ros-humble-bicycle-steering-controller, ros-humble-diff-drive-controller, ros-humble-effort-controllers, ros-humble-force-torque-sensor-broadcaster, ros-humble-forward-command-controller, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-pid-controller, ros-humble-position-controllers, ros-humble-range-sensor-broadcaster, ros-humble-steering-controllers-library, ros-humble-tricycle-controller, ros-humble-tricycle-steering-controller, ros-humble-velocity-controllers, ros-humble-ros-workspace
Description: Metapackage for ROS2 controllers related packages

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros2-controllers//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros2-controllers//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros2-controllers//opt/ros/humble/opt/ros2_controllers/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
